> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Settlements

> Use this API to get all settlement details by specifying the settlement ID, settlement UTR, settlement status or date range. Returns settlements of all statuses including SUCCESS, PENDING, PENDING_WITH_CASHFREE, PENDING_WITH_BANK and FAILED.



## OpenAPI

````yaml openapi/payments/v2026-01-01.yaml post /settlements
openapi: 3.0.0
info:
  version: '2026-01-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server.
  - url: https://api.cashfree.com/pg
    description: Production server.
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks.
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order.
  - name: Offers
    description: Collection of APIs to handle offers.
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility.
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements.
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation.
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
  - name: Utilities
    description: Collection of APIs for utility requirement.
  - name: Downtimes
    description: Collection of APIs for managing downtimes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /settlements:
    post:
      tags:
        - Settlement Reconciliation
      summary: Get All Settlements
      description: >-
        Use this API to get all settlement details by specifying the settlement
        ID, settlement UTR, settlement status or date range. Returns settlements
        of all statuses including SUCCESS, PENDING, PENDING_WITH_CASHFREE,
        PENDING_WITH_BANK and FAILED.
      operationId: PGFetchSettlements
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
          description: application/json.
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
          description: application/json.
      requestBody:
        $ref: '#/components/requestBodies/FetchSettlementsRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllSettlementsResponse'
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '400':
          $ref: '#/components/responses/Response400'
        '401':
          $ref: '#/components/responses/Response401'
        '404':
          $ref: '#/components/responses/Response404'
        '409':
          $ref: '#/components/responses/Response409'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD.
      schema:
        type: string
        description: API version to be used.
        default: '2026-01-01'
      example: '2026-01-01'
      x-ignore: true
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request ID for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to Cashfree.
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        An idempotency key is a unique identifier you include with your API
        call.

        If the request fails or times out, you can safely retry it using the
        same key to avoid duplicate actions.
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  requestBodies:
    FetchSettlementsRequest:
      description: Request Body to get the settlements.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FetchSettlementsRequest'
  schemas:
    GetAllSettlementsResponse:
      title: GetAllSettlementsResponse
      description: Paginated response for Get All Settlements API.
      type: object
      example:
        cursor: null
        limit: 2
        data:
          - cf_settlement_id: '312048765'
            status: SUCCESS
            status_description: The settlement amount has been credited to your bank account.
            settlement_utr: CB0312048765
            payment_from: '2026-01-05T10:22:14+05:30'
            payment_till: '2026-01-18T08:47:52+05:30'
            settlement_initiated_on: '2026-01-20T09:15:22+05:30'
            settlement_processed_on: '2026-01-20T09:15:22+05:30'
            payment_amount: 1000
            pg_service_charge: 0
            pg_service_tax: 0
            adjustment: -100
            settlement_charge: 0
            settlement_tax: 0
            split_service_charge: 0
            split_service_tax: 0
            vendor_commission: 0
            amount_settled: 900
            charge_type: PREPAID
            settlement_type: NORMAL_SETTLEMENT
          - cf_settlement_id: '489271036'
            status: PENDING_WITH_BANK
            status_description: >-
              The settlement has been processed by Cashfree's partner bank and
              is waiting for a credit confirmation from your bank.
            settlement_utr: CB0489271036
            payment_from: '2026-01-05T10:22:14+05:30'
            payment_till: '2026-01-18T08:47:52+05:30'
            settlement_initiated_on: '2026-01-21T11:30:05+05:30'
            settlement_processed_on: ''
            payment_amount: 1000
            pg_service_charge: 0
            pg_service_tax: 0
            adjustment: -100
            settlement_charge: 0
            settlement_tax: 0
            split_service_charge: 0
            split_service_tax: 0
            vendor_commission: 0
            amount_settled: 900
            charge_type: PREPAID
            settlement_type: NORMAL_SETTLEMENT
      properties:
        cursor:
          type: string
          nullable: true
          description: >-
            Cursor for the next set of settlements. Pass this value in the next
            API call to fetch the next page. Null if there are no more
            settlements.
        data:
          type: array
          items:
            type: object
            properties:
              cf_settlement_id:
                type: string
                description: Unique ID to identify the settlement.
              status:
                type: string
                enum:
                  - SUCCESS
                  - PENDING
                  - PENDING_WITH_CASHFREE
                  - PENDING_WITH_BANK
                  - FAILED
                description: Status of the settlement.
              status_description:
                type: string
                description: Human-readable description of the settlement status.
              settlement_utr:
                type: string
                description: Unique transaction reference number of the settlement.
              payment_from:
                type: string
                description: Start of the payment period included in this settlement.
              payment_till:
                type: string
                description: End of the payment period included in this settlement.
              settlement_initiated_on:
                type: string
                description: Date and time when the settlement was initiated.
              settlement_processed_on:
                type: string
                description: Date and time when the settlement was processed.
              payment_amount:
                type: number
                default: 0
                description: Net amount of transactions that was a part of this settlement.
              pg_service_charge:
                type: number
                default: 0
                description: PG service charges that were deducted in this settlement.
              pg_service_tax:
                type: number
                default: 0
                description: PG service taxes that were deducted in this settlement.
              adjustment:
                type: number
                default: 0
                description: Adjustments that were a part of this settlement.
              settlement_charge:
                type: number
                default: 0
                description: Settlement charges that were deducted in this settlement.
              settlement_tax:
                type: number
                default: 0
                description: Settlement taxes that were deducted in this settlement.
              split_service_charge:
                type: number
                default: 0
                description: Split service charges that were deducted in this settlement.
              split_service_tax:
                type: number
                default: 0
                description: Split service taxes that were deducted in this settlement.
              vendor_commission:
                type: number
                default: 0
                description: Vendor commission/split that was deducted in this settlement.
              amount_settled:
                type: number
                default: 0
                description: Amount that was settled to the merchant's bank account.
              charge_type:
                type: string
                enum:
                  - PREPAID
                  - POSTPAID
                  - SURCHARGE
                  - PREPAID_SURCHARGE
                  - POSTPAID_SURCHARGE
                description: >-
                  Indicates how Cashfree's service charges are applied for this
                  settlement.
              settlement_type:
                type: string
                description: Type of settlement. Example - NORMAL_SETTLEMENT.
        limit:
          type: integer
          description: Number of settlement records returned in this response.
    FetchSettlementsRequest:
      type: object
      description: Request to fetch settlement.
      example:
        pagination:
          limit: 10
          cursor: >-
            eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==
        filters:
          cf_settlement_ids:
            - '4234233'
          settlement_utrs:
            - utr1
            - utr2
          settlement_status:
            - SUCCESS
            - PENDING_WITH_BANK
          start_date: '2022-07-20T00:00:00Z'
          end_date: '2022-07-21T23:59:59Z'
      properties:
        pagination:
          type: object
          properties:
            limit:
              type: integer
              description: >-
                The number of settlements you want to fetch. Maximum limit is
                1000, default value is 10.
            cursor:
              type: string
              description: >-
                Specifies from where the next set of settlement details should
                be fetched.
          description: >-
            To fetch the next set of settlements, pass the cursor received in
            the response to the next API call. 
             To receive the data for the first time, pass the cursor as null. 
             Limit would be number of settlements that you want to receive.
          required:
            - limit
        filters:
          type: object
          properties:
            cf_settlement_ids:
              type: array
              items:
                type: string
              description: >-
                List of settlement IDs for which you want the settlement
                reconciliation details.
            settlement_utrs:
              type: array
              items:
                type: string
              description: >-
                List of settlement UTRs for which you want the settlement
                reconciliation details.
            settlement_status:
              type: array
              items:
                type: string
                enum:
                  - SUCCESS
                  - PENDING
                  - PENDING_WITH_CASHFREE
                  - PENDING_WITH_BANK
                  - FAILED
              description: >-
                List of settlement statuses to filter by. Possible values are
                SUCCESS, PENDING, PENDING_WITH_CASHFREE, PENDING_WITH_BANK,
                FAILED.
            start_date:
              type: string
              description: >-
                Specify the start date from when you want the settlement
                reconciliation details.
            end_date:
              type: string
              description: >-
                Specify the end date till when you want the settlement
                reconciliation details.
          description: >-
            Specify either the Settlement ID, Settlement UTR, settlement status,
            or start date and end date to fetch the settlement details.
      required:
        - pagination
        - filters
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client.
      example:
        message: bad URL, please check API documentation
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
    AuthenticationError:
      title: AuthenticationError
      description: Error if api keys are wrong.
      example:
        message: authentication Failed
        code: request_failed
        type: authentication_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: authentication_error.
    ApiError404:
      title: ApiError404
      description: Error when resource requested is not found.
      example:
        message: something is not found
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: something_not_found
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
          description: invalid_request_error.
    ApiError409:
      title: ApiError409
      description: duplicate request.
      example:
        message: order with same id is already present
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: order_already_exists
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        help:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
          description: invalid_request_error.
    IdempotencyError:
      title: IdempotencyError
      description: >-
        Error when idempotency fails. Different request body with the same
        idempotent key.
      example:
        message: something is not found
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: request_invalid
        type: idempotency_error
      type: object
      properties:
        message:
          type: string
        help:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - idempotency_error
          description: idempotency_error.
    RateLimitError:
      title: RateLimitError
      description: Error when rate limit is breached for your api.
      example:
        message: Too many requests from IP. Check headers
        code: request_failed
        type: rate_limit_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - rate_limit_error
          description: rate_limit_error.
    ApiError:
      title: ApiError
      description: Error at Cashfree's server.
      example:
        message: internal Server Error
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: internal_error
        type: api_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - api_error
          description: api_error.
  headers:
    x-api-version:
      schema:
        type: string
        format: YYYY-MM-DD
        enum:
          - '2026-01-01'
      description: >-
        This header has the version of the API. The current version is
        `2026-01-01`.
    x-ratelimit-limit:
      schema:
        type: integer
      example: 200
      description: Ratelimit set for your account for this API per minute.
    x-ratelimit-remaining:
      schema:
        type: integer
      example: 2
      description: >-
        Rate limit remaning for your account for this API in the next minute.
        Uses sliding window.
    x-ratelimit-retry:
      schema:
        type: integer
      example: 4
      description: |
        Contains number of seconds to wait if rate limit is breached
        - Is 0 if withing the limit
        - Is between 1 and 59 if breached
    x-ratelimit-type:
      schema:
        type: string
        enum:
          - app_id
          - ip
      example: ip
      description: >
        either ip or app_id

        - `ip` if making a call from the browser. True for api where you don't
        need `x-client-id` and `x-client-secret`

        - `app_id` for authenticated api calls i.e using `x-client-id` and
        `x-client-secret`
    x-request-id:
      schema:
        type: string
      example: some-req-id
      description: >-
        Request id for your api call. Is blank or null if no `x-request-id` is
        sent during the request.
    x-idempotency-key:
      schema:
        type: string
      example: some-idem-id
      description: >-
        An idempotency key is a unique identifier you include with your API
        call. If the request fails or times out, you can safely retry it using
        the same key to avoid duplicate actions.
    x-idempotency-replayed:
      schema:
        type: string
        format: boolean
      example: 'true'
      description: |-
        In conjunction with `x-idempotency-key` this means
        - `true` if the response was replayed
        - `false` if the response has not been replayed.
  responses:
    Response400:
      description: Bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response401:
      description: Authentication Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AuthenticationError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response404:
      description: Resource Not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError404'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response409:
      description: Resource already present.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError409'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response422:
      description: Idempotency error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IdempotencyError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response429:
      description: Rate Limit Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response500:
      description: API related Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant.
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature.
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant ID if you don't have
        the merchant client app ID.

````